
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>机器学习简单笔记 / iVAN</title>

    <meta name="description" content="机器学习简单笔记 Machine Learning Simple Notes (一些基础的notes-) Basics Machine Learning Model(模型) + Evaluation(评估标准) + Optimization(优化算法) + Validation(验证) Using datasets D to learn specific model G from model space(hypothesis space) H so that G is close to the best mode">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">机器学习简单笔记</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>Machine Learning Simple Notes</h3>
<p>(一些基础的notes…)</p>
<h4>Basics</h4>
<h5>Machine Learning</h5>
<ul>
<li>Model(模型) + Evaluation(评估标准) + Optimization(优化算法) + Validation(验证)</li>
<li>Using datasets D to learn specific model G from model space(hypothesis space) H <br />
so that G is close to the best model F in H.</li>
</ul>
<h5>ML Problem Classification</h5>
<ul>
<li>out space 
<ul>
<li>Classification 
<ul>
<li>binary-class</li>
<li>multi-class 
<ul>
<li>one-v-all:k binary Classifiers</li>
<li>one-v-one:train a binary classifier for each pair of class, <br />
  k(k-1)/2 SVM binary classifiers</li>
<li>softmax regression(multiclass logistic regression)</li>
</ul>
</li>
<li>structure(sentence classification)</li>
</ul>
</li>
<li>Regression</li>
<li>Clustering</li>
</ul>
</li>
<li>data input space  
<ul>
<li>Supervised Learning</li>
<li>Unsupervised Learning</li>
<li>Semi-supervised Learning</li>
<li>Reinforce Learning</li>
</ul>
</li>
<li>algorithms space  
<ul>
<li>Parameter</li>
<li>Non-parameter 
<ul>
<li>K-nearest Neighbors</li>
<li>Kernel Estimation</li>
<li>Locally Weighted Linear Regression</li>
</ul>
</li>
<li>Semi-parameter</li>
</ul>
</li>
<li>learning with different protocols 
<ul>
<li>batch learning</li>
<li>online learning</li>
<li>active learning</li>
</ul>
</li>
<li>features input space 
<ul>
<li>concrete features</li>
<li>raw features</li>
<li>abstract features</li>
</ul>
</li>
</ul>
<h4>Theories</h4>
<ul>
<li>Describe the learning feasibility and learning process(PAC learning theory)</p>
<ul>
<li>finite hypothesis space H</li>
<li>infinite hypothesis space H  
<ul>
<li>dichotomy <br />
(a specific combination case of N input samples),denotes  <br />
H(S1, S2, S3,…, Sn)(函数簇，每个函数簇中的假设函数属于同一dichotomy)</li>
<li>growth function <br />
(maximum dichotomy[最大函数簇] for a specific hypothesis space H and N samples), denots mH(N)</li>
<li>bound function <br />
(maximum growth function for a specific break point k and N samples with different H) <br />
denotes B(N,k), B(N,k) &lt;= B(N-1,k) + B(N-1,k-1) &lt; N^(k-1) = N^(Dvc)</li>
<li>本质上由于样本集合是稀疏离散的，导致无限维假设空间中只有某些簇对样本能起到有效分割，每一簇中的假设函数对此样本集合起到相同的分割作用，也就是在hoeffding不等式中，每一簇中的假设函数导致|E(in,h)-E(out,h)|&gt;epsilon误差的概率是重合的(不独立)，其概率P(|E(in,h)-E(out,h)|&gt;epsilon)是同时发生的，反映所有假设函数P(E(in,h)-E(out,h)&gt;epsilon)的并集不会无限增大，及不等式右侧2*M*e{-2*epsilon^2*N}中的M退化为有限维，而此维数受到样本集合大小N限制。从而转变为有限维的情况，而在有限维情况下有结论：给定足够大的N，能够使得Probably Approximately Correct(PAC)下，有 <br />
P(for any h belong to H,|E(in,h)-E(out,h)|&gt;epsilon) &lt; 2*M*e{-2*epsilon^2*N}，由此从理论上证明了学习背后的可行性和正确性。意即确实学习了，improve了。</li>
</ul>
</li>
<li>Empirical Risk Minimization</li>
<li>VC bound 
<ul>
<li>for any h in H <br />
P(|E(in,h)-E(out,h)|&gt;epsilon) &lt;= 4*mH(2N)<em>exp(-1/8*epsilon^2*N) &lt;= 4</em>(2N)^(k-1)*exp()</li>
</ul>
</li>
<li>VC dimension:Maximum_not_break_point(minimum_break_point-1) 
<ul>
<li>Dvc不是无限大(存在break_point),给定足够大的N,能保证PAC条件下hoeffding不等式 <br />
成立。即在一定误差下能用E(in)估计E(out),即能用输入datasets估计generalization的情况。</li>
<li>假设函数空间H最多能把Dvc数量的样本集合shatter，即能学习样本集合的所有组合,可以 <br />
衡量假设函数空间的学习复杂度</li>
<li>VC dimension与输入样本特征数量的关系:Dvc = d(特征数量)+1 
<ul>
<li>证明思路：Dvc &lt;= d+1 &amp;&amp; Dvc &gt;= d+1</li>
<li>Dvc &lt;= d+1 &lt;=&gt;  <br />
对于d+2个输入的任意组合,不能shatter &lt;=&gt;  <br />
不存在W,使得WX=Y成立 &lt;=&gt;  <br />
由于X是(N+2)*(N+1)维的,而且输入向量之间线性无关,所以方程个数大于(W)自由变量的个数,导致W无解</li>
<li>Dvc &gt;= d+1 &lt;=&gt;  <br />
能shatter d+1个输入的某个组合 &lt;=&gt;  <br />
存在W,使得WX=Y成立 &lt;=&gt;  <br />
由于X是(N+1)*(N+1)维的,且可构造X为正定矩阵,所以X可逆,即W=inv(X)Y,有解</li>
</ul>
</li>
<li>衡量假设函数空间的学习复杂度(自由度)，或者说从另一方面衡量样本集合的学习能力</li>
<li>VC dimension与样本数量N、特征维数的关系</li>
<li>with propability 1-a <br />
E(out,g) &lt;= E(in,g) + sqrt(8/N*ln[4*((2N)^Dvc)/a]) = E(in,g) + omega(N,H,a)(模型复杂度model complexity)</li>
<li>sample compexity N</li>
</ul>
</li>
</ul>
</li>
<li>Bias and Variance(Underfitting and Overfitting) trade-off
<ul>
<li>underfitting</li>
<li>overfitting  
<ul>
<li>datasets too small</li>
<li>noise too large(stochastic noise and deterministic noise[depends on H])</li>
<li>model too compexity(VC dimension too big)</li>
</ul>
</li>
</ul>
</li>
<li>Regularization  
<ul>
<li>本质：通过增加对特征系数w的限制，减少需要搜索的假设空间的复杂度或者说维数，从而使得模型复杂度较高的同时较少deterministic noise，从而得到较好的tradeoff， <br />
另一方面，从贝叶斯角度，相当于添加了先验知识(先验概率)，然后极大化后验概率。</li>
</ul>
</li>
<li>Training Error(Risk)</li>
<li>Model Selection</li>
<li>Feature Selection</li>
<li>Cross Validation</li>
<li>Model Metrics 
<ul>
<li>accuracy,precision,recall  
<ul>
<li>accuracy = TP+TN/TP+TF+NP+NF  ==&gt; 正确分类的比例</li>
<li>precision = TP/TP+FP ==&gt; 衡量不会将负样本错误分类为正样本的概率(欺诈检测)</li>
<li>recall = TP/TP+FN ==&gt; 衡量从样本集区分全体正样本的能力</li>
</ul>
</li>
<li>confusion_matrix  
<ul>
<li>行代表prediction类别，列代表事实上的类别，A(i,j)表示将类别i分类为类别j的数量</li>
</ul>
</li>
<li>f1-measure = 2*(precision*recall)/(precision+recall)[in f-measure where a=1] 
<ul>
<li>f-measure = (a^2+1)*(precision*recall)/(precision+recall)</li>
<li>综合考虑精确率与召回率的影响</li>
</ul>
</li>
<li>ROC and AUC ==&gt; inbalanced datasets</li>
</ul>
</li>
</ul>
<h4>Algorithms(Models)</h4>
<h5>Supervised Learning</h5>
<ul>
<li>1.Least Square Mean(LSM)</li>
<li>2.Logistic Regression(LR)</li>
<li>3.Percepton</li>
<li>4.Naive Bayes(NB)</li>
<li>5.Support Vector Machine(SVM)</li>
<li>6.Decision Tree</li>
<li>7.Neighbors</li>
<li>8.Linear Discriminative Analysis(LDA)</li>
<li>9.Resemble Methods 
<ul>
<li>(1)Boosting : Gradient Boosted Decision[Regression] Trees(GBRT[GBDT])</li>
<li>(2)Bagging  : Random Forests</li>
</ul>
</li>
</ul>
<h5>Unsupervised Learning</h5>
<p>Clustering / Dimension Reduction / Density Estimation <br />
- 1.KMeans Clustering <br />
- 2.Hierarchy Clustering <br />
- 3.Expectation Maxmization(EM) <br />
- 4.Gaussian Mixture Models(GMM) <br />
- 5.Density-Based Spatial Clustering of Applications with Noise(DBSCAN) <br />
- 6.Mean Shift</p>
<h5>Others</h5>
<ul>
<li>1.Artificial Neural Network and Deep Learning</li>
<li>2.Dimension Reduction 
<ul>
<li>(1)PCA/Kernel PCA</li>
<li>(2)Matrix Factorization/SVD</li>
</ul>
</li>
<li>3.Gaussian Process</li>
<li>4.Bayesian Network and Graphical Models</li>
<li>5.LDA</li>
<li>6.PageRank</li>
<li>7.Apriori</li>
<li>8.Empirical Risk Minimization(ERM)</li>
</ul>
<h4>Techniques</h4>
<p>This section includes some theories aspects and techniques used in machine learning. <br />
- Normalization <br />
- Principle Componets Ananysis <br />
- Singular Value Decomposition <br />
- Matrix Factorization</p>
<ul>
<li>inbalanced datasets</p>
<ul>
<li>oversampling and undersampling</li>
<li>different metrics such as AUC</li>
<li>ensemble different algorithms</li>
<li>cost matrix</li>
</ul>
</li>
<li>nonlinear transformation for linear models</li>
<li>拉格朗日数乘法的本质
<ul>
<li>min{ f(x) } ,  s.t. g(x) &lt;= 0</li>
<li>L(x) = f(x) + C*g(x) with C&gt;0</li>
<li>L(x)’ = f’ + C*g’ = 0 ==&gt; 假设f的等值线与g在x0处相交且最小，f’和g’在x0处的法向量共线， <br />
也即f的梯度没有沿着g曲线的切向分量了，梯度下降停止</li>
</ul>
</li>
</ul>
<blockquote><p>ref:机器学习基石课程</p></blockquote>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 09:15:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>机器学习简单笔记的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlwmep.html" rel="bookmark">expdp 导出简单笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				expdp 导出简单笔记 1.要创建oracle可访问的目录必须赋予oracle:oinstall的权限 [root@oracle/]# chown -R oracle:oinstall /data1 2.切换到oracle用户 [root@oracle/]# su - oracle 3.创建expdp目录 [oracle@oracle/]$ cd /data1 [oracle@oracle data1]$ mkdir expdp [oracle@oracle data1]$ cd expdp/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRN64b.html" rel="bookmark">【学习】 R语言与机器学习学习笔记（1）K-近邻算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 最近在学习数据挖掘,对数据挖掘中的算法比较感兴趣,打算整理分享一下学习情况,顺便利用R来实现一下数据挖掘算法. 数据挖掘里我打算整理的内容有:分类,聚类分析,关联分析,异常检测四大部分.其中分类算法主要介绍:K-近邻算法,决策树算法,朴素贝叶斯算法,支持向量机,神经网络,logistic回归. 写这份学习笔记主要以学校data mining课程的课件为主,会参考一堆的baidu,一堆的google,一堆的blog,一堆的book以及一堆乱七八糟的资料,由于精力有限,恕不能一一列出,如果有认			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8VBVZb.html" rel="bookmark">Linux中部署FFmpeg开源视频压缩环境过程简单笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面是在Linux中部署FFmpeg和相关类库全过程的简单记录,如下: tar zxvf ./yasm-1.3.0.tar.gz cd yasm-1.3.0 ./configure make make install tar xvfj ./x264.tar.bz2 cd x264 make clean ./configure --enable-shared make make install tar zxvf ./lame-3.99.5.tar.gz cd lame-3.99.5 ./confi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRZqRz.html" rel="bookmark">CSS中下拉菜单和表单以及弹出层的简单笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  下拉菜单 display:block,盒子会由收缩包围元素变为扩展填充父元素 position:absolute是相对于父元素的绝对位置,其坐标都是相对于父元素的,比如对齐下拉菜单 CSS Code复制内容到剪贴板 .mene li ul{ display:block; position:absolute; left:0; top:100%; } 表单 input的type: text:基本的单行文本框. password:文本显示为掩码. checkbox:复选框. radio:单选按钮.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAVW8np.html" rel="bookmark">CSS简单笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.加入样式表到HTML文档 1.内联样式 &lt;p style=&quot;color: #F00&quot;&gt; 2.内嵌样式 &lt;style type=&quot;text/css&quot;&gt;p {color: #F00;}&lt;/style&gt; 3.外部样式 &lt;link rel=&quot;stylesheet&quot;type=&quot;text/ css&quot; href=&quot;external.css&quot;/&gt; 4.样式表适用的环境 所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MywRrvz.html" rel="bookmark">机器学习之&mdash;&mdash;认识机器学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前段时间,google的alphaGo让大家的眼睛都聚焦到这一&quot;人工智能&quot;上了.那么就当时应景吧,写一写我关于机器学习的一些笔记及认识,内容主要根据在Coursera上Andrew Ng大神的课程来做笔记. 首先,什么是机器学习? 参照百度百科的讲解,&quot;机器学习是一门多领域交叉学科,设计概率论.统计学.逼近论.凸分析.算法复杂度理论等多门学科.专门研究计算机怎样模拟或实现人类的学习能力,以获取新的知识或技能,重新组织已有的知识结构使之不断改善自身的性能.&quot;什么意思呢			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmgXaz.html" rel="bookmark">机器学习&mdash;&mdash;svm支持向量机的原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言     动笔写这个支持向量机(support vector machine)是费了不少劲和困难的,原因很简单,一者这个东西本身就并不好懂,要深入学习和研究下去需花费不少时间和精力,二者这个东西也不好讲清楚,尽管网上已经有朋友写得不错了(见文末参考链接),但在描述数学公式的时候还是显得不够.得益于同学白石的数学证明,我还是想尝试写一下,希望本文在兼顾通俗易懂的基础上,真真正正能足以成为一篇完整概括和介绍支持向量机的导论性的文章.     本文在写的过程中,参考了不少资料,包括&lt;支持向量机导论			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6e8QXb.html" rel="bookmark">为什么我的计算结果是1？（机器学习实战，第3张的熵）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么我的计算结果是1?(机器学习实战,第3张的熵) 想请教各位大神,我在学&lt;机器学习实战 第三章&gt;时,遇到一个问题,就是课程上得出的答案是0,我得出的答案却是1. 代码链接 解决方案 机器学习实战笔记1(机器学习基础) 解决方案二: 本人创建的机器学习研究QQ群445858879,欢迎爱好机器学习的朋友来此交流学习心得,群里有数据挖掘的高手跟大家切磋 解决方案三: 你看看你的数据集,你的1代表第一个特征是最好的划分.书上是第零个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq86L2b.html" rel="bookmark">阿里云机器学习平台&mdash;&mdash;PAI平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在云栖TechDay第十五期活动上,阿里云iDST资深技术专家褚崴给大家带来了&lt;阿里云机器学习平台&gt;的分享,他以机器学习的概念入手展开了此次分享,演讲中他重点介绍了阿里云机器学习平台的基础架构和产品特点,并结合阿里内部的芝麻信用分.推荐系统等场景讲解了PAI平台的具体应用方案. 下文根据褚崴的演讲内容整理.   机器学习 图一 机器学习分类 机器学习简单来说就是,人教机器在我们积累的数据当中发现规律,然后能够辅助我们来做一些预测和决策. 机器学习笼统地讲可以分为三类: 1)有监督学习(supe			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOwn5z.html" rel="bookmark" class="title">CCAI 2017 &vert; 李德毅院士现场致辞：中国人工智能步入新阶段</a>
					<div>
						大会开场由中国工程院院士.中国人工智能学会理事长李德毅院士首先发言,李院士的致辞全文如下: 人工智能界的各位同行.行内各位朋友们,各位到会的朋友们,我们非常高兴在这里一同参加中国人工智能大会. 中国人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPPn0p.html" rel="bookmark" class="title">360浏览器收藏栏怎么被隐藏不见了</a>
					<div>
						  我们在使用360浏览器的时候发现上面的收藏栏都不见了,这是什么原因呢,我们该怎么调出360浏览器的收藏栏呢,下面小编就给大家介绍详细的方法. 1.打开360浏览器发现上方的收藏栏都不见了 2.点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3YWkp.html" rel="bookmark" class="title">C&num;编程实践</a>
					<div>
						编程 最近一段时间学习使用C#编程,因为用惯了Delphi,发现C#类库还是不太完善(我用的是.Net Framework 1.0,不知道.Net Framework 1.1有哪些改进),此外Visu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zemE7z.html" rel="bookmark" class="title">图片ALT属性的优化原则总结</a>
					<div>
						优化 图片ALT属性的优化原则总结如下: 1,对于非链接图片的ALT文字,应主要从描述图片的角度考虑.虽然Google会读这些文字,但其重要性比正文内容文字要低的多. 鉴于Google认为使用ALT属 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeadOz.html" rel="bookmark" class="title">实践xml缓存技术构建高性能web站点</a>
					<div>
						打造一个高性能稳定的web站点一直是站长和程序员的梦想,本文用作者的一次亲身经历的来说说如何利用xml缓存技术实现站点的高性能.我是从今年开始做138手机主题网的,采用SQL2000做为数据库,开发语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1eKKM.html" rel="bookmark" class="title">如何使用ASP脚本制作异步装载的树形结构（二）</a>
					<div>
						脚本|异步 三.客户端代码 下面是程序的启动页面Tree.htm: &lt; HTML &gt; &lt; SCRIPT SRC=&quot;Renderer.js&quot; LANGUAGE=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYl5Bb.html" rel="bookmark" class="title">分析百度快照回档与快照停止更新情况</a>
					<div>
						在论坛交流学习中发现很多站长朋友都在聊百度快照的问题,他们中有人说快照回档了,还有人说快照不更新了,在a5的问答版块中我们也可以看见很多站长朋友陷入了困境,找不到快照回档与停止更新的原因,我的网站在上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk24nOM.html" rel="bookmark" class="title">UML学习：类图class的实现关系Realization</a>
					<div>
						接口的概念 接口是一组没有实现的操作的集合.接口只提供操作的声明,不提供任何相应的功能代码.具体的功能代码由使用该接口的类实现,这叫做实现关系. 一般意义的操作: 1  public void tur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB0Glb.html" rel="bookmark" class="title">puppet的nagios客户端模块</a>
					<div>
						为了方便与puppet结合着用,所以接下去原本用源码编译的,统统改成用rpmbuild打包完,在放进自己建的源里面,本文也将说明本地源如何创建. 文中软件包nrpe,和nagios-plugins均由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAXXOb.html" rel="bookmark" class="title">妙用金山WPS 2005文字制作精美印章效果</a>
					<div>
						虽然有单独的&quot;金山电子印章&quot;等印章软件,但有时我们并不需要那么多的功能,只是希望在文档落款处盖上一个红色的&quot;印章&quot;(如图1): 图1 其实,在WPS文字2005 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrkm4p.html" rel="bookmark" class="title">Photoshop打造唯美的中性淡冷色铁轨人物图片</a>
					<div>
						  素材图片背景颜色有点杂乱,处理的时候可以直接降低背景主色饱和度得到初步的中性图片;然后给图片渲染一些高光;再给高光区域增加淡蓝色,暗部增加蓝紫色即可. 原图 最终效果 1.打开原图素材大图,创建色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pj7mM.html" rel="bookmark" class="title">excel2013行列如何转换</a>
					<div>
						  excel2013行列转换教程: 行列转换步骤1:打开Excel2013,新建空白文档,在第一行的单元格里输入一些内容. 行列转换步骤2:选中这些单元格,右键复制. 行列转换步骤3:在第一列空白处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGeR7p.html" rel="bookmark" class="title">IE菜单&OpenCurlyDoubleQuote;查看&rdquo;下的&OpenCurlyDoubleQuote;源文件&rdquo;项被禁用是怎么回事</a>
					<div>
						  清除方法: (1)手动修改注册表法:开始菜单-&gt;运行-&gt;regedit-&gt;确定,打开注册表编辑工具,第一,按如下顺序依次打开:HKEY_CURRENT_USERSoftwareP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3jk5M.html" rel="bookmark" class="title">java-关于泛型的问题&colon; T object &equals; new T&lpar;&rpar;能否通过设置IDE来让其成立</a>
					<div>
						问题描述 关于泛型的问题: T object = new T()能否通过设置IDE来让其成立 public class Example { .......... void doSomething()  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1rgJb.html" rel="bookmark" class="title">异构芯片顺应计算机整合发展路径</a>
					<div>
						6月27日,由IT时代周刊.IT商业新闻网主办.AMD协办的&quot;未来芯趋势 2012 APU与异构计算的应用及未来趋势论坛&quot;在京成功举办.商务部电子商务专家王汝林在会上发表了自己的见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1laL8b.html" rel="bookmark" class="title">&lbrack;WCF安全系列&rsqb;绑定、安全模式与客户端凭证类型：BasicHttpBinding</a>
					<div>
						整个安全传输是在WCF的信道层进行的,而绑定是信道层的缔造者,所以终结点采用哪种类型的绑定以及对绑定的属性进行怎样的设置决定了信道层最终采用何种机制实现消息的安全传输.具体来说,我们可以通过绑定设置最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YE8ZM.html" rel="bookmark" class="title">LVM资源分配不当解决方案</a>
					<div>
						今天登陆自己测试机的时候,突然发现 lv_root所挂载的 &quot;/&quot; 目录使用率已经达到 99%,而 lv_home 挂载的 /home 目录,使用率却没多少,原来是当初安装自己测试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkLGDb.html" rel="bookmark" class="title">闷声发大财的ARM凭什么这么牛？</a>
					<div>
						有一家公司一直保持着低调和神秘,但这并不妨碍它拥有极高的市占率和让人艳羡的利润率.它是英国最顶尖的科技公司之一,也曾被&lt;福布斯&gt;评为世界五大最具创新力公司之一,可是直到去年孙正义以320亿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJka44b.html" rel="bookmark" class="title">easyui-请问如何在&amp;amp&semi;amp&semi;lt&semi;th&amp;amp&semi;amp&semi;gt&semi;标签中实现下拉框的效果？</a>
					<div>
						问题描述 请问如何在&lt;th&gt;标签中实现下拉框的效果? 项目前台用的是easyUI来显示数据,现在需要在&quot; &quot;标签中实现下拉框的效果,请问怎样做? 解决方案 th标签内嵌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWBJEz.html" rel="bookmark" class="title">360：&OpenCurlyDoubleQuote;火车票木马&rdquo;变种骗术升级</a>
					<div>
						最近有 网友视频爆料称,自己访问http://www.aliyun.com/zixun/aggregation/33692.html&quot;&gt;12306网站购买火车票时遭遇木马,付款对象从& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYGARp.html" rel="bookmark" class="title">存储到数据库中的文章，为什么取出来之后就没有换行、空格了&quest;</a>
					<div>
						问题描述 文章在存储到数据库中的时候是不是需要做一些处理呀?如果,直接存储到数据库,然后,在取出之后就没有换行.空格了,整篇文章都没有换行.空格.第一次问问题,希望大家能够帮助一下!!问题补充:我现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB7LPM.html" rel="bookmark" class="title">谷歌升级安卓搜索APP：用语音快速打开摄像头</a>
					<div>
						谷歌升级 安卓搜索APP:用 语音快速打开摄像头面对精彩的 瞬间,现在的人们总会立刻拔出手机拍照留念.可在安卓手机上,如何快速地打开拍照与录像功能呢?今日谷歌升级了安卓版搜索APP,用户可以用语音快速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwwnZM.html" rel="bookmark" class="title">Hibernate Validator 4&period;2&period;0 Beta1发布 实现方法级别的校验</a>
					<div>
						用Annotations 给类或者类的属性加上约束(constraint),在运行期检查属性值是很优雅的.Hibernate Validator就是这样的一个框架.该框架是十分容易的(就像参考文档中宣 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKy76p.html" rel="bookmark" class="title">全球互联网销售巨头亚马逊频频发力硬件领域</a>
					<div>
						全亚马逊欲收购德州仪器的移动芯片业务,若收购成功,意味着亚马逊的硬件成本会进一步降低,在价格上可能更占据优势. 据相关方面透露,亚马逊正在与德州仪器进行高端会谈协商,欲收购该公司的OMAP系列移动芯片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE3n5z.html" rel="bookmark" class="title">远程连接PostgreSQL是如何实现的</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   众所周知,Postgres 8.1 分别发行了 Lin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVVP3z.html" rel="bookmark" class="title">js函数中onmousedown和onclick的区别和联系探讨&lowbar;基础知识</a>
					<div>
						这两个事件很常见. 了解这两个事件的区别,但是实际并没有使用到这两个事件的区别去做一些操作. 通常使用onclick的时候也可以使用onmousedown,使用onclick的时候更多一些. 今天碰到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq8d7p.html" rel="bookmark" class="title">让FireFox支持innerText的实现代码&lowbar;javascript技巧</a>
					<div>
						为firefox实现innerText属性很多代码写了又忘忘了又写,很浪费,所以决定养成做笔记的习惯. 知识点: 0.为什么要innerText?因为安全问题 1.为firefox dom模型扩展属性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvAnJM.html" rel="bookmark" class="title">VBS教程：方法-DeleteFile 方法&lowbar;vbs</a>
					<div>
						DeleteFile 方法 删除指定的文件. object.DeleteFile filespec[, force] 参数 object 必选项.应为 FileSystemObject 的名称. fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NnW5p.html" rel="bookmark" class="title">jp-jsplocation&period;href是重定向还是转发</a>
					<div>
						问题描述 jsplocation.href是重定向还是转发 location.href是重定向还是转发 location.href是重定向还是转发 location.href是重定向还是转发 loca ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wJR4z.html" rel="bookmark" class="title">CJ首日的高峰论坛显冷清</a>
					<div>
						与推杯换盏,觥筹交错的晚宴相比,Chinajoy(以下简称CJ)首日的高峰论坛显得冷冷清清. 今年是CJ经历的第11个年头,这个中国游戏行业最大规模的盛会正在逐渐失去光辉,今年的高峰论坛上并没有出现太 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
